(function totalBaseBalance(data)
{
	const baseBalance = data.pair.baseBalance;
	const base = data.pairName.split('-')[0];
    const currentValue = parseFloat(data.config.pairs['binance'][data.pairName]?.TOTAL_BASE_VALUE) || 0;
    const updateThreshold = 0.005;
	let configPairCount = 0;
	let sameBasePairs = [];
    function updateIfEnoughDifference(oldValue, newValue) {
		if (typeof oldValue == 'string' && typeof newValue != 'string') {
			return newValue;
		}
		else if (typeof oldValue != 'string' && typeof newValue == 'string') {
			return newValue;
		}
		const minimumDifference = oldValue * updateThreshold
		let difference;
		if (oldValue > newValue) {
			difference = oldValue - newValue;
		} else {
			difference = newValue - oldValue;
		}
		if (difference > minimumDifference) {
			return newValue;
		}
		else {
			return oldValue;
		}
	}
	Object.keys(data.config.pairs.binance).forEach((pair =>
	{
		if (pair.split('-')[0] === base)
		{
			configPairCount++;
			sameBasePairs.push(pair)
		}
	}));
	let positions = [];
	let combinedBaseValue = 0;
	sameBasePairs.forEach((pair =>
	{
		if (Object.keys(data.pairVariables.binance).indexOf(pair) > -1)
		{
			if (parseFloat(data.pairVariables.binance[pair].newOverrides.BAG_SIZE) > 0)
			{
				positions.push(parseFloat(data.pairVariables.binance[pair].newOverrides.BAG_SIZE))
			}
			else if (data.pairVariables.binance[pair].newOverrides.BAG_SIZE === 'none')
			{
				positions.push(0)
			}
		}
		else if (data.config.pairs.binance[pair].override.BAG_SIZE === 'none')
		{
			positions.push(0);
		}
	}));
	if (positions.length === configPairCount)
	{
		combinedBaseValue = positions.reduce((function (a, b)
		{
			return a + b
		}), 0) + baseBalance;
        const result = updateIfEnoughDifference(currentValue, combinedBaseValue);
		return result
	}
	else
	{
		return 0
	}
})(this)